Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.impl.state
Class StateControllerContextImpl

    java.lang.Object
      org.jboss.portal.portlet.controller.impl.state.StateControllerContextImpl

All Implemented Interfaces:
  StateControllerContext

    public class StateControllerContextImpl

extends java.lang.Object
implements StateControllerContext

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`protected PortletControllerContext` | `portletControllerContext` .

Constructor Summary
`StateControllerContextImpl(PortletControllerContext portletControllerContext)`

Method Summary
`PortletPageNavigationalState` | `clonePortletPageNavigationalState(PortletPageNavigationalState portletPageNavigationalState, boolean modifiable)` Clone an existing page state object.
`PortletPageNavigationalState` | `createPortletPageNavigationalState(boolean modifiable)` Create a new portlet page state object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletControllerContext

    protected final PortletControllerContext portletControllerContext

  .

Constructor Detail

### StateControllerContextImpl

    public StateControllerContextImpl(PortletControllerContext portletControllerContext)

Method Detail

### clonePortletPageNavigationalState

    public PortletPageNavigationalState clonePortletPageNavigationalState(PortletPageNavigationalState portletPageNavigationalState,
                                                                          boolean modifiable)

  Description copied from interface: `StateControllerContext`
  Clone an existing page state object.

  Specified by:
    `clonePortletPageNavigationalState` in interface `StateControllerContext`
  Parameters:
    `portletPageNavigationalState` - the portlet page navigational state
    `modifiable` - set the modifiable status
  Returns:
    the page state clone @return the cloned page navigational state

### createPortletPageNavigationalState

    public PortletPageNavigationalState createPortletPageNavigationalState(boolean modifiable)

  Description copied from interface: `StateControllerContext`
  Create a new portlet page state object.

  Specified by:
    `createPortletPageNavigationalState` in interface `StateControllerContext`
  Parameters:
    `modifiable` - set the modifiable status
  Returns:
    the new portlet page state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.